[HP Pavilion dv6] Brightness control only work on the last two steps on 12.04.5

Bug #1416940 reported by Po-Hsu Lin on 2015-02-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Alex Hung
linux-lts-trusty (Ubuntu)
Medium
Alex Hung

Bug Description

CID: 201209-11641 HP Pavilion dv6 Notebook PC

Brightness control does not work on this system.
The brightness level indicator would change with hotkey events, but the brightness itself would only change with the last two steps.

Debugging information:
ubuntu@201209-11641:~$ ls /sys/class/backlight
acpi_video0 acpi_video1 intel_backlight

ubuntu@201209-11641:~$ grep -r . /proc/acpi
/proc/acpi/bbswitch:0000:01:00.0 ON
/proc/acpi/battery/BAT0/alarm:alarm: unsupported
/proc/acpi/battery/BAT0/state:present: yes
/proc/acpi/battery/BAT0/state:capacity state: ok
/proc/acpi/battery/BAT0/state:charging state: charged
/proc/acpi/battery/BAT0/state:present rate: 0 mA
/proc/acpi/battery/BAT0/state:remaining capacity: 4878 mAh
/proc/acpi/battery/BAT0/state:present voltage: 12642 mV
/proc/acpi/battery/BAT0/info:present: yes
/proc/acpi/battery/BAT0/info:design capacity: 4878 mAh
/proc/acpi/battery/BAT0/info:last full capacity: 4878 mAh
/proc/acpi/battery/BAT0/info:battery technology: rechargeable
/proc/acpi/battery/BAT0/info:design voltage: 11100 mV
/proc/acpi/battery/BAT0/info:design capacity warning: 672 mAh
/proc/acpi/battery/BAT0/info:design capacity low: 456 mAh
/proc/acpi/battery/BAT0/info:cycle count: 0
/proc/acpi/battery/BAT0/info:capacity granularity 1: 216 mAh
/proc/acpi/battery/BAT0/info:capacity granularity 2: 4206 mAh
/proc/acpi/battery/BAT0/info:model number: MO06062
/proc/acpi/battery/BAT0/info:serial number: 133
/proc/acpi/battery/BAT0/info:battery type: LION
/proc/acpi/battery/BAT0/info:OEM info: 12-32
/proc/acpi/button/lid/LID0/state:state: open
/proc/acpi/ac_adapter/ADP1/state:state: on-line
/proc/acpi/wakeup:Device S-state Status Sysfs node
/proc/acpi/wakeup:P0P1 S4 *disabled
/proc/acpi/wakeup:KBD0 S3 *enabled pnp:00:07
/proc/acpi/wakeup:PS2M S3 *disabled pnp:00:08
/proc/acpi/wakeup:EHC1 S3 *enabled pci:0000:00:1d.0
/proc/acpi/wakeup:EHC2 S3 *enabled pci:0000:00:1a.0
/proc/acpi/wakeup:XHC S3 *enabled pci:0000:00:14.0
/proc/acpi/wakeup:HDEF S0 *disabled pci:0000:00:1b.0
/proc/acpi/wakeup:RP01 S4 *disabled pci:0000:00:1c.0
/proc/acpi/wakeup:PXSX S4 *disabled
/proc/acpi/wakeup:RP02 S4 *disabled
/proc/acpi/wakeup:PXSX S4 *disabled
/proc/acpi/wakeup:RP03 S4 *disabled pci:0000:00:1c.2
/proc/acpi/wakeup:PXSX S4 *disabled pci:0000:08:00.0
/proc/acpi/wakeup:RP04 S4 *disabled pci:0000:00:1c.3
/proc/acpi/wakeup:PXSX S4 *disabled pci:0000:0a:00.0
/proc/acpi/wakeup:RP05 S4 *disabled
/proc/acpi/wakeup:PXSX S4 *disabled
/proc/acpi/wakeup:RP06 S5 *disabled pci:0000:00:1c.5
/proc/acpi/wakeup:PXSX S5 *enabled pci:0000:0b:00.0
/proc/acpi/wakeup:RP07 S4 *disabled
/proc/acpi/wakeup:PXSX S4 *disabled
/proc/acpi/wakeup:RP08 S4 *disabled
/proc/acpi/wakeup:PXSX S4 *disabled
/proc/acpi/wakeup:PEG0 S4 *disabled pci:0000:00:01.0
/proc/acpi/wakeup:PEGP S4 *disabled pci:0000:01:00.0
/proc/acpi/wakeup:PEG1 S4 *disabled
/proc/acpi/wakeup:PEG2 S4 *disabled
/proc/acpi/wakeup:PEG3 S4 *disabled
/proc/acpi/wakeup:LID0 S3 *enabled

ubuntu@201209-11641:~$ dmesg | grep 'ACPI: Video'
[ 8.457421] ACPI: Video Device [PEGP] (multi-head: yes rom: yes post: no)
[ 8.708920] ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
ubuntu@201209-11641:~$

WORKAROUND:
Adding acpi_osi='!Windows 2012' could make it work.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.13.0-44-generic 3.13.0-44.73~precise1
ProcVersionSignature: Ubuntu 3.13.0-44.73~precise1-generic 3.13.11-ckt12
Uname: Linux 3.13.0-44-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-44-generic.
ApportVersion: 2.0.1-0ubuntu17.8
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: 92HD91BXX Analog [92HD91BXX Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2121 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0x74610000 irq 47'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:111d76e0,103c181b,00100102 HDA:80862806,103c1818,00100000'
   Controls : 30
   Simple ctrls : 12
Date: Sun Feb 1 21:21:57 2015
HibernationDevice: RESUME=UUID=44133aff-4b56-4bb1-bd96-812df1f33e5c
InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-44-generic root=UUID=a8ad3f48-e182-468f-b168-3a16c8cc9536 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-44-generic N/A
 linux-backports-modules-3.13.0-44-generic N/A
 linux-firmware 1.79.18
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux-lts-trusty
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/02/2012
dmi.bios.vendor: Insyde
dmi.bios.version: F.22
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 181B
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 52.24
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.22:bd11/02/2012:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvr0791100200004710000620100:rvnHewlett-Packard:rn181B:rvr52.24:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: 0791100200004710000620100
dmi.sys.vendor: Hewlett-Packard

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :
Anthony Wong (anthonywong) wrote :

Alex, please check if the bios is incompatible with 3.13 wrt brightness.

Please note that either 12.04.2 or acpi_osi='!Windows 2012' are working fine.

Changed in linux-lts-trusty (Ubuntu):
assignee: Anthony Wong (anthonywong) → Alex Hung (alexhung)
Changed in hwe-next:
assignee: nobody → Alex Hung (alexhung)
importance: Undecided → Medium
Alex Hung (alexhung) on 2015-03-02
Changed in hwe-next:
status: New → In Progress
Changed in linux-lts-trusty (Ubuntu):
status: New → In Progress
Alex Hung (alexhung) wrote :

This is related to the OS detection in _BCM control method in DSDT; however, this is a system from 2012 and it is not likely have any BIOS update from this.

There are two possible solutions -

1. add a quirk in drivers/acpi/blacklist.c such as below:

+ {
+ .callback = dmi_disable_osi_win8,
+ .ident = "HP Pavilion dv6",
+ .matches = {
+ DMI_MATCH(DMI_SYS_VENDOR, "Hewlett-Packard"),
+ DMI_MATCH(DMI_PRODUCT_NAME, "HP Pavilion dv6 Notebook PC"),
+ },
+ },

This is tested and it works well.

2. newer version of linux kernel enable "use_native_backlight" by default. This remove ACPI video brightness out of picture and therefore _BCM will not be used.

This is tested with mainline kernel @ http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-vivid/

Changed in hwe-next:
status: In Progress → Incomplete
status: Incomplete → In Progress
Changed in hwe-next:
status: In Progress → Confirmed
Changed in linux-lts-trusty (Ubuntu):
status: In Progress → Confirmed
Alex Hung (alexhung) wrote :

A patch was submitted to workaround it. Let's see what upstream says

tags: added: patch
Alex Hung (alexhung) wrote :

Upstream suggested not to add to blacklist but to modify drivers/acpi/video.c so the native backlight will be used instead. I will test and submit another patch.

Alex Hung (alexhung) wrote :

new version of drivers/acpi/video.c has a feature to disable native backlight, but we wanna to 1) use native backlight or 2) make _OSI(Windows 2012) disable. Either is possible with current 12.04.05:

1) use_native_backlight backport was rejected by kernel team. The only solution is to use kernel parameter acpi_video=vendor
2) patch #5 was rejected.

Luis Henriques (henrix) on 2015-03-23
Changed in linux-lts-trusty (Ubuntu):
status: Confirmed → Fix Committed
Alex Hung (alexhung) on 2015-03-24
Changed in hwe-next:
status: Confirmed → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Alex Hung (alexhung) on 2015-03-30
tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-49.81~precise1

---------------
linux-lts-trusty (3.13.0-49.81~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1436132

  [ Alex Hung ]

  * SAUCE: ACPI / blacklist: blacklist Win8 OSI for HP Pavilion dv6
    - LP: #1416940

  [ Andy Whitcroft ]

  * [Packaging] generate live watchdog blacklists
    - LP: #1432837

  [ Ben Widawsky ]

  * SAUCE: i915_bdw: drm/i915/bdw: enable eDRAM.
    - LP: #1430855

  [ Chris J Arges ]

  * [Config] Add ibmvfc to d-i
    - LP: #1416001

  [ Seth Forshee ]

  * [Config] updateconfigs - enable X86_UP_APIC_MSI

  [ Upstream Kernel Changes ]

  * net: add sysfs helpers for netdev_adjacent logic
    - LP: #1410852
  * net: Mark functions as static in core/dev.c
    - LP: #1410852
  * net: rename sysfs symlinks on device name change
    - LP: #1410852
  * btrfs: fix null pointer dereference in clone_fs_devices when name is
    null
    - LP: #1429804
  * cdc-acm: add sanity checks
    - LP: #1413992
  * x86: thinkpad_acpi.c: fixed spacing coding style issue
    - LP: #1417915
  * thinkpad_acpi: support new BIOS version string pattern
    - LP: #1417915
  * net: sctp: fix slab corruption from use after free on INIT collisions
    - LP: #1416506
    - CVE-2015-1421
  * ipv4: try to cache dst_entries which would cause a redirect
    - LP: #1420027
    - CVE-2015-1465
  * x86, mm/ASLR: Fix stack randomization on 64-bit systems
    - LP: #1423757
    - CVE-2015-1593
  * net: llc: use correct size for sysctl timeout entries
    - LP: #1425271
    - CVE-2015-2041
  * net: rds: use correct size for max unacked packets and bytes
    - LP: #1425274
    - CVE-2015-2042
  * Btrfs: clear compress-force when remounting with compress option
    - LP: #1434183
  * ext4: merge uninitialized extents
    - LP: #1430184
  * btrfs: filter invalid arg for btrfs resize
    - LP: #1435441
  * Bluetooth: Add firmware update for Atheros 0cf3:311f
  * Bluetooth: btusb: Add IMC Networks (Broadcom based)
  * Bluetooth: sort the list of IDs in the source code
  * Bluetooth: append new supported device to the list [0b05:17d0]
  * Bluetooth: Add support for Intel bootloader devices
  * Bluetooth: Ignore isochronous endpoints for Intel USB bootloader
  * Bluetooth: Add support for Acer [13D3:3432]
  * Bluetooth: Add support for Broadcom device of Asus Z97-DELUXE
    motherboard
  * Add a new PID/VID 0227/0930 for AR3012.
  * Bluetooth: Add support for Acer [0489:e078]
  * Bluetooth: Add USB device 04ca:3010 as Atheros AR3012
  * x86: mm: move mmap_sem unlock from mm_fault_error() to caller
  * vm: add VM_FAULT_SIGSEGV handling support
  * vm: make stack guard page errors return VM_FAULT_SIGSEGV rather than
    SIGBUS
  * spi/pxa2xx: Clear cur_chip pointer before starting next message
  * spi: dw: Fix detecting FIFO depth
  * spi: dw-mid: fix FIFO size
  * ASoC: wm8960: Fix capture sample rate from 11250 to 11025
  * regulator: core: fix race condition in regulator_put()
  * ASoC: omap-mcbsp: Correct CBM_CFS dai format configuration
  * can: c_can: end pending transmission on network stop (ifdown)
  * nfs: fix dio deadlock when O_DIRECT flag is f...

Read more...

Changed in linux-lts-trusty (Ubuntu):
status: Fix Committed → Fix Released
Alex Hung (alexhung) on 2015-04-09
Changed in hwe-next:
status: Fix Committed → Fix Released
To post a comment you must log in.